local M = {}

function M.setup()
  vim.filetype.add({
    extension = {
      templ = 'templ',
      env = 'env',
      tpl = 'html.latte',

      axaml = 'xml',
      xaml = 'xml',
      cake = 'cs',
    },
    filename = {
      ['Directory.Build.props'] = 'xml',
      ['Directory.Build.targets'] = 'xml',
    },
    pattern = {
      ['.*vars/.*yaml'] = 'yaml.ansible',
      ['.*/inventory/.*yaml'] = 'yaml.ansible',
      ['.*/roles/.*yaml'] = 'yaml.ansible',
      ['.*/handlers/.*yaml'] = 'yaml.ansible',
      ['.*/tasks/.*yaml'] = 'yaml.ansible',
      ['.*/defaults/.*yaml'] = 'yaml.ansible',
      ['.*/meta/.*yaml'] = 'yaml.ansible',
    },
  })
end

return M
